package com.hzya.frame.sys.userRole.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.userRole.dao.IUserRoleMapper;
import com.hzya.frame.sys.userRole.entity.UserRole;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 人员角色管理  dao
 * @tableName: sys_user_role
 * @entityName: UserRole
 * @author: gjh
 * @history:1.0
 */
@Service
public class UserRoleMapperImpl extends MybatisGenericDao<UserRole, String> implements IUserRoleMapper {

    @Override
    public UserRole entity_get(String id) {

        UserRole o = (UserRole) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<UserRole> entity_list_base(UserRole entity) {

        List<UserRole> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;
    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(UserRole entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<UserRole> entity_list_like(UserRole entity) {

        List<UserRole> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<UserRole> entity_list_or(UserRole entity) {

        List<UserRole> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(UserRole entity) {

        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(UserRole entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(UserRole entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(UserRole entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(UserRole entity) {

        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }
}
